%global srcname libsass

Name:           python-%{srcname}
Version:        0.21.0
Release:        %mkrel 1
Summary:        Python bindings for libsass
Group:          Development/Python
License:        MIT
URL:            https://github.com/dahlia/libsass-python
Source0:        %{srcname}-%{version}.tar.xz
# Patch for correct naming of manpages
#Patch0:         python-libsass-man.patch

BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-werkzeug
BuildRequires:  pkgconfig(libsass)
# Needed for docs
BuildRequires:  python3-sphinx

%description
This package provides a simple Python extension module
sass which is binding Libsass (written in C/C++ by Hampton
Catlin and Aaron Leung).

%package -n python3-%{srcname}
Summary:        Python 3 bindings for libsass
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-six

%description -n python3-%{srcname}
This package provides a simple Python 3 extension module
sass which is binding Libsass (written in C/C++ by Hampton
Catlin and Aaron Leung).

%prep
%setup -qn %{srcname}-%{version}
%apply_patches

sed -i -e '/^#!\//, 1d' sassc.py

%build
# Export SYSTEM_SASS environment variable to use the
# system library, not the bundled one
export SYSTEM_SASS="true"
%py3_build

%install
# Same as above
export SYSTEM_SASS="true"
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files -n python3-%{srcname}
%doc README.rst LICENSE
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/_sass*.so
%{python3_sitearch}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/sass.py
%{python3_sitearch}/sassc.py
%{python3_sitearch}/pysassc.py
%{python3_sitearch}/sasstests.py
%{python3_sitearch}/sassutils/
# Collides with libsass.
%exclude %{_bindir}/sassc
%{_bindir}/pysassc

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 0.21.0-1pclos2022
- import for python 3.10

